import BusX
import Combine

extension Cord {
  public final class Button: ObservableObject {
    public let press = PassthroughSubject<Void, Never>()
    var subscriptions = [AnyCancellable]()
   
    public init(_ key: String) {
      Bus.send(
        key,
        press.eraseToAnyPublisher(),
        sub: &subscriptions
      )
    }
  }
}
